CREATE TABLE FUNCIONARIO (
    ID_FUNCIONARIO     INTEGER NOT NULL,
    NOME              VARCHAR(40),
    CPF               VARCHAR(12),
    RG                VARCHAR(12),
    DATA_NASCIMENTO   DATE,
    ESTADO_CIVIL      VARCHAR(10),
    MES               VARCHAR(10),
    SEXO              VARCHAR(2),
    ENDERECO          VARCHAR(30),
    BAIRRO            VARCHAR(30),
    CEP               VARCHAR(8),
    UF                VARCHAR(2),
    CIDADE            VARCHAR(40),
    DATA_ADMISSAO     DATE,
    FUNCAO            VARCHAR(30),
    SALARIO           DECIMAL(10,2),
    FONE              VARCHAR(12),
    EMAIL             VARCHAR(30),
    INSS              DECIMAL(10,2),
    IRRF              DECIMAL(10,2),
    SALARIO_FAMILIA   DECIMAL(10,2),
    VALE_TRANSPORTE   DECIMAL(10,2),
    VALE_ALIMENTACAO  DECIMAL(10,2),
    NUMERO_DEPENDENTE DECIMAL(10),
    VALOR_DESCONTO    DECIMAL(10,2),
    TOTAL_BRUTO       DECIMAL(10,2),
    TOTAL_LIQUIDO     DECIMAL(10,2),
    constraint pkFUNCIONARIO primary key(ID_FUNCIONARIO));
