unit UnitPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls, Menus,XpMan;

type
  TFormPrincipal = class(TForm)
    ImageFundo: TImage;
    StatusPrincipal: TStatusBar;
    Timer1: TTimer;
    MainMenu1: TMainMenu;
    Arquivo1: TMenuItem;
    Sair1: TMenuItem;
    Cadastros1: TMenuItem;
    Funcionrios1: TMenuItem;
    Dependentes1: TMenuItem;
    Vales1: TMenuItem;
    Relatros1: TMenuItem;
    Relatrios1: TMenuItem;
    procedure Timer1Timer(Sender: TObject);
    procedure Sair1Click(Sender: TObject);
    procedure Funcionrios1Click(Sender: TObject);
    procedure Dependentes1Click(Sender: TObject);
    procedure Vales1Click(Sender: TObject);
    procedure Relatrios1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormPrincipal: TFormPrincipal;

implementation

uses UnitFuncionario, UnitDependente, UnitVale, UnitRelatorio;

{$R *.dfm}

procedure TFormPrincipal.Timer1Timer(Sender: TObject);
begin
  StatusPrincipal.Panels[1].Text :=
FormatDateTime(' dddd", " dd " de " mmmm " de " yyyy', Now);
end;

procedure TFormPrincipal.Sair1Click(Sender: TObject);
begin
FormPrincipal.Close;
end;

procedure TFormPrincipal.Funcionrios1Click(Sender: TObject);
begin
 formFuncionario:=tformFuncionario.create(self);
 FormFuncionario.Show;
end;

procedure TFormPrincipal.Dependentes1Click(Sender: TObject);
begin
 formDependente:=tformDependente.create(self);
FormDependente.Show;
end;

procedure TFormPrincipal.Vales1Click(Sender: TObject);
begin
 formVale:=tformVale.create(self);
FormVale.Show;
end;

procedure TFormPrincipal.Relatrios1Click(Sender: TObject);
begin
formRelatorio:=tformrelatorio.create(self);
FormRelatorio.Show;
end;

end.
