unit UnitVale;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Grids, DBGrids, Mask, DBCtrls, ToolWin,
  ComCtrls,DB;

type
  TFormVale = class(TForm)
    ToolBarBotoes: TToolBar;
    ScrollBoxDados: TScrollBox;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    DBGridVale: TDBGrid;
    BtnIncluir: TBitBtn;
    DBLookupComboBox1: TDBLookupComboBox;
    btnGravar: TBitBtn;
    BtnAlterar: TBitBtn;
    BtnExcluir: TBitBtn;
    btnCancelar: TBitBtn;
    BtnSair: TBitBtn;
    procedure BtnIncluirClick(Sender: TObject);
    procedure btnGravarClick(Sender: TObject);
    procedure BtnAlterarClick(Sender: TObject);
    procedure BtnExcluirClick(Sender: TObject);
    procedure btnCancelarClick(Sender: TObject);
    procedure BtnSairClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormVale: TFormVale;

implementation

uses UnitDm;

{$R *.dfm}

procedure TFormVale.BtnIncluirClick(Sender: TObject);
 var
id:integer;
begin
Dm.IBTableVale.Open;
Dm.IBTableVale.last;
id:=Dm.IBTableVale.fieldbyname('ID_VALE').asInteger +1;
Dm.IBTableVale.Append;
Dm.IBTableVale.fieldbyname('ID_VALE').asinteger:=id;
BtnGravar.Enabled:=True;
BtnCancelar.Enabled:=True;
BtnAlterar.Enabled:=False;
BtnIncluir.Enabled:=False;
BtnExcluir.Enabled:=False;
DBEdit1.ReadOnly:=False;
DBLookupComboBox1.ReadOnly:=False;
DBGridVale.ReadOnly:=False;
DBEdit3.ReadOnly:=False;
DBEdit4.ReadOnly:=False;
Dbedit3.SetFocus;
end;

procedure TFormVale.btnGravarClick(Sender: TObject);
begin
 if Dm.IBTableVale.state in [dsedit,dsinsert] then
 Dm.IBTableVale.Open;
 Dm.IBTableVale.post;
 BtnGravar.Enabled:=false;
 BtnCancelar.Enabled:=false;
 BtnAlterar.Enabled:=true;
 BtnIncluir.Enabled:=true;
 BtnExcluir.Enabled:=true;
 DBEdit1.ReadOnly:=True;
 DBLookupComboBox1.ReadOnly:=True;
 DBGridVale.ReadOnly:=True;
 DBEdit3.ReadOnly:=True;
 DBEdit4.ReadOnly:=True;
 Dm.IBTableVale.Close;
 end;

procedure TFormVale.BtnAlterarClick(Sender: TObject);
begin
 Dm.IBTableVale.Edit;
 BtnGravar.Enabled:=True;
 BtnCancelar.Enabled:=True;
 BtnAlterar.Enabled:=False;
 BtnIncluir.Enabled:=False;
 BtnExcluir.Enabled:=False;
 DBEdit1.ReadOnly:=False;
 DBLookupComboBox1.ReadOnly:=False;
 DBGridVale.ReadOnly:=False;
 DBEdit3.ReadOnly:=False;
 DBEdit4.ReadOnly:=False;
end;

procedure TFormVale.BtnExcluirClick(Sender: TObject);
begin
 If MessageBox(0,'Deseja realmente excluir?','Excluindo',mb_YesNo)=idYes
then
Dm.IBTableVale.delete;
end;

procedure TFormVale.btnCancelarClick(Sender: TObject);
begin
  Dm.IBTableVale.Open;
  Dm.IBTableVale.cancel;
  BtnGravar.Enabled:=false;
  BtnCancelar.Enabled:=false;
  BtnAlterar.Enabled:=true;
  BtnIncluir.Enabled:=true;
  BtnExcluir.Enabled:=true;
  DBEdit1.ReadOnly:=True;
  DBLookupComboBox1.ReadOnly:=True;
  DBGridVale.ReadOnly:=True;
  DBEdit3.ReadOnly:=True;
  DBEdit4.ReadOnly:=True;
  Dm.IBTableVale.Close;
end;

procedure TFormVale.BtnSairClick(Sender: TObject);
begin
FormVale.Close;
end;

procedure TFormVale.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Dm.IBTableVale.Close;
 Dm.IBTableFuncionario.Close;
end;

end.
