unit UnitDependente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DBCtrls, StdCtrls, Mask, ToolWin, ComCtrls, Buttons,DB, ExtCtrls;

type
  TFormDependente = class(TForm)
    ToolBarBotoes: TToolBar;
    ScrollBoxDados: TScrollBox;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    DBLookupComboBox1: TDBLookupComboBox;
    BtnIncluir: TBitBtn;
    BtnGravar: TBitBtn;
    BtnAlterar: TBitBtn;
    BtnCancelar: TBitBtn;
    BtnExcluir: TBitBtn;
    BtnSair: TBitBtn;
    DBNavigator1: TDBNavigator;
    procedure BtnIncluirClick(Sender: TObject);
    procedure BtnGravarClick(Sender: TObject);
    procedure BtnAlterarClick(Sender: TObject);
    procedure BtnCancelarClick(Sender: TObject);
    procedure BtnExcluirClick(Sender: TObject);
    procedure BtnSairClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDependente: TFormDependente;

implementation

uses UnitDm;

{$R *.dfm}

procedure TFormDependente.BtnIncluirClick(Sender: TObject);
 var
id:integer;
begin
Dm.IBTableDependente.Open;
Dm.IBTableDependente.last;
id:=Dm.IBTableDependente.fieldbyname('ID_DEPENDENTE').asInteger +1;
Dm.IBTableDependente.Append;
Dm.IBTabledependente.fieldbyname('ID_DEPENDENTE').asinteger:=id;
BtnGravar.Enabled:=True;
BtnCancelar.Enabled:=True;
BtnAlterar.Enabled:=False;
BtnIncluir.Enabled:=False;
BtnExcluir.Enabled:=False;
DBEdit1.ReadOnly:=False;
DBLookupComboBox1.ReadOnly:=False;
DBEdit3.ReadOnly:=False;
DBEdit4.ReadOnly:=False;
Dbedit3.SetFocus;
end;

procedure TFormDependente.BtnGravarClick(Sender: TObject);
begin
 if Dm.IBTableDependente.state in [dsedit,dsinsert] then
 Dm.IBTableDependente.Open;
 Dm.IBTableDependente.post;
 BtnGravar.Enabled:=false;
 BtnCancelar.Enabled:=false;
 BtnAlterar.Enabled:=true;
 BtnIncluir.Enabled:=true;
 BtnExcluir.Enabled:=true;
 DBEdit1.ReadOnly:=True;
 DBLookupComboBox1.ReadOnly:=True;
 DBEdit3.ReadOnly:=True;
 DBEdit4.ReadOnly:=True;
 Dm.IBTableDependente.Close;
 end;

procedure TFormDependente.BtnAlterarClick(Sender: TObject);
begin
 Dm.IBTableDependente.Edit;
 BtnGravar.Enabled:=True;
 BtnCancelar.Enabled:=True;
 BtnAlterar.Enabled:=False;
 BtnIncluir.Enabled:=False;
 BtnExcluir.Enabled:=False;
 DBEdit1.ReadOnly:=False;
 DBLookupComboBox1.ReadOnly:=False;
 DBEdit3.ReadOnly:=False;
 DBEdit4.ReadOnly:=False;
 DBEdit3.SetFocus;
end;

procedure TFormDependente.BtnCancelarClick(Sender: TObject);
begin
  Dm.IBTableDependente.Open;
  Dm.IBTableDependente.cancel;
  BtnGravar.Enabled:=false;
  BtnCancelar.Enabled:=false;
  BtnAlterar.Enabled:=true;
  BtnIncluir.Enabled:=true;
  BtnExcluir.Enabled:=true;
  DBEdit1.ReadOnly:=True;
  DBLookupComboBox1.ReadOnly:=True;
  DBEdit3.ReadOnly:=True;
  DBEdit4.ReadOnly:=True;
  Dm.IBTableDependente.Close;
  end;

procedure TFormDependente.BtnExcluirClick(Sender: TObject);
begin
 if MessageBox(0,'Deseja realmente excluir?','Excluindo',mb_YesNo)=idYes
then
Dm.IBTableDependente.delete;
end;

procedure TFormDependente.BtnSairClick(Sender: TObject);
begin
 FormDependente.Close;
end;

procedure TFormDependente.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
 Dm.IBTableDependente.Close;
 Dm.IBTableFuncionario.Close;

end;

end.
